/***************************************************************************
                          arrow.cpp  -  description
                             -------------------
    begin                : Thu Feb 14 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "arrow.h"
#include "timer.h"
#include "config.h"

Arrow::Arrow(int _x, int _y, Menu* _men, DirType _dir) : Gui(_x, _y, _men)
{
	type=ARROW;
	dir=_dir;
	sur=Resources::Arrows();
	clicked=false;
	timer=new Timer;
}
Arrow::~Arrow()
{
}
bool Arrow::is_clicked()
{
	return clicked;
}
void Arrow::act()
{
	if((CL_Mouse::get_x()>x && CL_Mouse::get_y()>y) && (CL_Mouse::get_x()<x+32 && CL_Mouse::get_y()<y+32))
	{
		if(CL_Mouse::left_pressed()==true && timer->time_elapsed()>0.2f)
		{
		clicked=true;
		Resources::Clicknormal()->play();
		timer->reset();
		}	
		else
		clicked=false;
		}
	else
	clicked=false;

	switch(dir)
	{
		case LEFT:
			if(clicked==true)
			sur->put_screen(x, y, 0);
			else
			sur->put_screen(x, y, 4);
		break;
		case RIGHT:
			if(clicked==true)
			sur->put_screen(x, y, 1);
		else
			sur->put_screen(x, y, 5);
		break;
		case UP:
			if(clicked==true)
			sur->put_screen(x, y, 2);
		else
			sur->put_screen(x, y, 6);
		break;
		case DOWN:
			if(clicked==true)
			sur->put_screen(x, y, 3);
		else
			sur->put_screen(x, y, 7);
		break;
	}
}
